Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.parser
Class XsltFunctionLibrary

    java.lang.Object
      com.novell.xml.xpath.FunctionLibraryImpl
          com.novell.xsl.extensions.ExtensibleFunctionLibrary
              com.novell.xsl.parser.XsltFunctionLibrary

All Implemented Interfaces:
  FunctionLibrary

    public class XsltFunctionLibrary

extends ExtensibleFunctionLibrary

Class implementing XPath `FunctionLibrary` interface for use with XPath `Parser`. This class adds support for java extension functions.

Field Summary

Fields inherited from class com.novell.xsl.extensions.ExtensibleFunctionLibrary
`loader`

Constructor Summary
`XsltFunctionLibrary()` Construct a function library for XSLT containing the built-in XPath and XSLT functions.
`XsltFunctionLibrary(ClassLoader loader)` Construct a function library for XSLT containing the built-in XPath and XSLT functions.

Method Summary

Methods inherited from class com.novell.xsl.extensions.ExtensibleFunctionLibrary
`getClassLoader, getFunction, isFunctionAvailable, setClassLoader`

Methods inherited from class com.novell.xml.xpath.FunctionLibraryImpl
`addFunction, findFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltFunctionLibrary

    public XsltFunctionLibrary()

  Construct a function library for XSLT containing the built-in XPath and XSLT functions. This library also supports java extension functions.

### XsltFunctionLibrary

    public XsltFunctionLibrary(ClassLoader loader)

  Construct a function library for XSLT containing the built-in XPath and XSLT functions. This library also supports java extension functions.

  Parameters:
    `loader` - ClassLoader instance to use to load extension functions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD